SSL
ガラケー

SSLv3で問題になるフィーチャーフォンの対応

More than 3 years have passed since last update.

SSLv3で問題になるの、Windows XP IE6だけでしょ?と思ってるそこのあなた、ガラケー向けサイトってのが存在することをご存じでしょうか。そう、ガラケーむけにHTTPS通信を提供しているサービスっていうのが存在するんですよ。

SSLv3問題については下の記事に書きましたよ。

各キャリアの対応情報

各フィーチャーフォンの対応状況

キャリア 対応バージョン
docomo iモードブラウザ2.0以降 SSLv2 SSLv3 TLSv1.0
iモードブラウザ2.0以前 SSLv2 SSLv3
au SSLv3 TLSv1.0
softbank SSLv3 TLSv1.0

docomoのiモードブラウザ1.0の機種を除き、殆どの場合TLSv1.0に対応しているようです。ただしコメント欄にもありますが、docomoに関しては、らくらくホンがiモードブラウザ1.0との記載がありますので、継続して注意が必要です。

TLSv1.0もそれほど使いたい規格ではないため「TLSv1.1以降にも対応しているよ!」みたいな情報引き続きお待ちしております。

更新履歴

  • 2014/10/31: コメント欄にてauのすべての機種がTLSv1.0に対応している(ただしTLS拡張にはアップデートにより対応)ことを教えてもらったので修正しました。